texlive-bin (2025.20250727.75242+ds-5build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 13:01:28 +0100

texlive-bin (2025.20250727.75242+ds-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Import patch 0001-consider-Hurd-as-a-POSIX-system.patch from src:luajit as
    luajit-hurd.diff to support Hurd in the embedded luajit copy.
  * Use DEB_HOST_ARCH rather than DEB_HOST_ARCH_CPU to use the embedded zziplib
    copy on any i386 architecture, not only on Linux, as the problem applies
    regardless of the OS (Closes: #1111536).
  * Enable the luajit support also on hurd-amd64.

  [ Samuel Thibault ]
  * Patch detex/Makefile.am to fix build failure on single job builders
    (Closes: #1111524).

  [ Gianfranco Costamagna ]
  * Patch mendexk-upmendex-fix-pnumconv to FTBFS on Big Endian Architectures
    with security flags (Closes: #1119667).

  * Implement override_dh_missing correctly.
  * Lintian stuff.
  * Use DEB_CFLAGS_MAINT_APPEND (instead of CFLAGS) to append flags to gcc
    to /not/ kill hardening flags.
  * Drop transitional packages libtexlua53-dev & libtexlua53.
  * Bump Standards version, no changes needed.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 26 Nov 2025 14:46:26 +0100

texlive-bin (2025.20250727.75242+ds-4) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 14 Aug 2025 22:37:17 +0200

texlive-bin (2025.20250727.75242+ds-3) experimental; urgency=medium

  * Disable zziplib test suite.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 05 Aug 2025 23:52:44 +0200

texlive-bin (2025.20250727.75242+ds-2) experimental; urgency=medium

  * Build with embedded zziplib on i386.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 04 Aug 2025 22:46:53 +0200

texlive-bin (2025.20250727.75242+ds-1) experimental; urgency=medium

  * New version TL 2025.
    - Contains fix for manual pages (Closes: #991944).
  * Lower C standard to C17. This is assumed to be a workaround for
    #1097988.
  * Remove (incompatible) getenv, strtok & strstr declaration from
    kpathsea headers. (Closes: #1109256).
    https://tug.org/pipermail/tex-live/2025-July/051609.html

 -- Hilmar Preuße <hille42@debian.org>  Sun, 27 Jul 2025 23:14:41 +0200

texlive-bin (2024.20240313.70630+ds-6) unstable; urgency=medium

  * Patches for manual pages thanks to Bjarni Ingi Gislason
    <bjarniig@simnet.is>.
    - aleph.1 (Closes: #1088318)
    - autosp.1 (Closes: #1088853)
    - opl2ofm.1 (Closes: #1091540)
    - outocp.1: (Closes: #1091615)
    - ovf2ovp.1 (Closes: #1091618)
    - ovp2ovf.1 (Closes: #1091630)
  * Remove mflua.1 from texlive-binaries, it is/will be shipped by
    texlive-extra-utils.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 13 Mar 2025 21:10:00 +0100

texlive-bin (2024.20240313.70630+ds-5) unstable; urgency=medium

  * Disable patch texlive-bin-20230311-typecasts.patch to be compatible
    to libxaw (>= 1.0.16).

 -- Hilmar Preuße <hille42@debian.org>  Sat, 02 Nov 2024 16:31:58 +0100

texlive-bin (2024.20240313.70630+ds-4) unstable; urgency=medium

  * Patch form upstream: fix "incompatible pointer type" issues on 32bit
    (Closes: #1077073).
  * Remove obsolete patches.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 26 Jul 2024 23:35:21 +0200

texlive-bin (2024.20240313.70630+ds-3) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Add patches for manual pages:
    - tex2aspc.1 (Closes: #1072254)
    - ttf2pk.1 (Closes: #1072319)

  Add patch texlive-bin-20230311-typecasts.patch (from Fedora [1]) to
  make xdvik compatible to the old lbxaw package currently in Debian.
  Once libxaw >= 1.0.16 has entered Debian the patch needs to be
  disabled again (Closes: #1075564).

  [1] https://src.fedoraproject.org/rpms/texlive-base/c/ef14236976cfb48e0fe4b2b3af14cdf3d0d64516?branch=rawhide

 -- Hilmar Preuße <hille42@debian.org>  Thu, 25 Jul 2024 12:03:11 +0200

texlive-bin (2024.20240313.70630+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Corrections for mflua.1 (Closes: #1071649).

 -- Hilmar Preusse <hille42@web.de>  Sun, 26 May 2024 15:51:10 +0200

texlive-bin (2024.20240313.70630+ds-1) experimental; urgency=medium

  * New upstream snapshot for TL2024; refresh, disable patches.
    - Use libmpfi-dev (>= 1.5.4) from Debian.
    - Contains fixes for pdftex.1 (Closes: #1065094).

 -- Hilmar Preusse <hille42@web.de>  Thu, 21 Mar 2024 22:54:39 +0100

texlive-bin (2023.20230311.66589-9) unstable; urgency=medium

  * Rename / Remove obsolete patches form source package.
  * Add DEP-3 headers to a few other patches.
  * Add "DEB_BUILD_MAINT_OPTIONS = hardening=+all" to d/rules.
  * Add patch for CVE-2024-25262 (Closes: #1064517).
  * Remove surplus ${shlibs:Depends} from -dev packages.

 -- Hilmar Preusse <hille42@web.de>  Fri, 23 Feb 2024 22:59:00 +0100

texlive-bin (2023.20230311.66589-8) unstable; urgency=high

  * Untighten version check of zlib in texk/web2c/luatexdir/luazlib/lzlib.c
    again to make binaries linked with 1.2.x runnable with 1.3.x
    (Closes: #1056183).

 -- Hilmar Preusse <hille42@web.de>  Mon, 20 Nov 2023 08:45:38 +0000

texlive-bin (2023.20230311.66589-7) unstable; urgency=medium

  * Add patch to fix pdflatex's ToUnicode map on Big Endian
    (Closes: #1054218).
  * Suggest texlive-binaries-sse2 only on arches, where it is
    available.
  * Add "hintview" to list of suggested package of texlive-binaries.
  * Extend the list of arches, where luajit binaries are available: arm64.
  * Extend gbp.conf: "gbp pull" should update pristine-tar branch too.

 -- Hilmar Preusse <hille42@web.de>  Thu, 09 Nov 2023 21:39:01 +0000

texlive-bin (2023.20230311.66589-6) unstable; urgency=medium

  * Fix Architecture field of the new texlive-binaries-sse2 package.
    This should fix build failures on systems w/o *jit* binaries.

 -- Hilmar Preusse <hille42@web.de>  Thu, 14 Sep 2023 23:27:32 +0200

texlive-bin (2023.20230311.66589-5) unstable; urgency=medium

  * Split luajit based binaries into texlive-binaries-sse2 to make
    TL usable on non-sse2 capable CPU's at all (Closes: #1041148).
  * Remove kfreebsd* from LuaJIT arches.
  * Add the embedded-library lintian override in the old format, to
    cheat ftp-master.
  * Add information of status of poppler support to d/rules file.

 -- Hilmar Preusse <hille42@web.de>  Sat, 09 Sep 2023 11:57:07 +0200

texlive-bin (2023.20230311.66589-4) unstable; urgency=medium

  * Add "Breaks: texlive-formats-extra (<< 2023.20230613)" to make
    sure hitex reads a fixed file hiplainpage.tex (Closes: #1041508).

 -- Hilmar Preusse <hille42@web.de>  Sun, 03 Sep 2023 08:54:53 +0200

texlive-bin (2023.20230311.66589-3) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:46:07 +0200

texlive-bin (2023.20230311.66589-2) experimental; urgency=medium

  * Add fixes for bibtex(8) to (hopefully) fix build failure on
    armhf. Bump bibtex-x to version 4.01.

 -- Hilmar Preusse <hille42@web.de>  Mon, 24 Jul 2023 23:48:05 +0200

texlive-bin (2023.20230311.66589-1) experimental; urgency=medium

  * New upstream snapshot made for TL 2023.
    - Remove sources of dvisvgm from orig.tar.xz, we don't build
      it anyways.
    - New luatex version
      + Fixes issues with discretionaries when priorities are used
        (Closes: #1018206).
      + Contains fix for CVE-2023-32668 (Closes: #1041149), add Breaks
        statement for old context.
    - Refresh / Disable patches.
  * Fix BD:
    - Add libpotrace-dev
    - Replace libfontconfig1-dev by libfontconfig-dev
  * Fix / Add Lintian Overrides.
  * Convert d/copyright into DEP5.
  * Add syntax fixes for:
    - luatex.1 (Closes: #1037553).
    - bibtex.original.1 (Closes: #1039975).
    - detex.1 (Closes: #1039976).
    - kpsewhich.1 (Closes: #1039977)
    - axohelp.1 (Closes: #1039978)

 -- Hilmar Preusse <hille42@web.de>  Tue, 18 Jul 2023 23:21:48 +0200

texlive-bin (2022.20220321.62855-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Add bug script and bug control file for texlive-binaries.
  * Add Dep on sse2-support, to make sure luatex works
    correctly (Closes: #1023007).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Arch: Drop versioned constraint on automake, libpixman-1-dev
      and libzzip-dev.
    + texlive-binaries: Drop versioned constraint on texlive-lang-japanese and
      texlive-metapost in Replaces.
    + texlive-binaries: Drop versioned constraint on texlive-htmlxml in Breaks.
    + libkpathsea6: Drop versioned constraint on texlive-binaries in Breaks.
    + libptexenc1: Drop versioned constraint on texlive-binaries in Breaks.

 -- Hilmar Preusse <hille42@web.de>  Sun, 11 Dec 2022 09:33:59 +0100

texlive-bin (2022.20220321.62855-4) unstable; urgency=medium

  * Separate "indep" and "arch" in d/rules better (Closes: #1012018).

 -- Hilmar Preusse <hille42@web.de>  Sat, 04 Jun 2022 23:44:11 +0200

texlive-bin (2022.20220321.62855-3) unstable; urgency=low

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Wed, 01 Jun 2022 09:04:23 +0200

texlive-bin (2022.20220321.62855-2) experimental; urgency=medium

  * Upgrade xpdf code to 4.04 to solve CVE-2021-27548
    (Closes: #1011333).
  * Lintian:
    - Remove obsolete: source-is-missing
    - Add (in general): very-long-line-length-in-source-file
    - Fix spelling errors in manual pages.
    - W: libtexlua53: package-name-doesnt-match-sonames libtexlua53-5
      renamed: libtexlua53-dev -> libtexlua-dev.
      renamed: libtexlua53 -> libtexlua53-5
    - W: bad-whatis-entry usr/share/man/man1/xml2pmx.1.gz
    - W: wrong-manual-section usr/share/man/man1/axohelp.1.gz:1 1 != 1.4

 -- Hilmar Preusse <hille42@web.de>  Sun, 22 May 2022 23:34:38 +0200

texlive-bin (2022.20220321.62855-1) experimental; urgency=medium

  * New upstream TeX Live 2022, upload to experimental.

  * Replace Dep: perl by "perl:any" (Closes: #968906).
  * Much lintian stuff, have a look at "git log" for details.

 -- Hilmar Preusse <hille42@web.de>  Mon, 02 May 2022 12:19:19 +0200

texlive-bin (2021.20210626.59705-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on autoconf, libtool and m4.
    + texlive-binaries: Drop versioned constraint on dpkg and tex-common in
      Depends.
    + texlive-binaries: Drop versioned constraint on m-tx, musixtex, pmx, tex4ht
      and texlive-base in Replaces.
    + texlive-binaries: Drop versioned constraint on context, m-tx, musixtex,
      pmx, tex-common and tex4ht in Breaks.
    + libkpathsea6: Drop versioned constraint on texlive-base in Breaks.
    + libptexenc1: Drop versioned constraint on texlive-base in Breaks.

  [ Norbert Preining ]
  * New upstream TeX Live 2021
  * Update lintian override

 -- Norbert Preining <norbert@preining.info>  Sun, 15 Aug 2021 22:38:02 +0900

texlive-bin (2020.20200327.54578-7) unstable; urgency=medium

  * Backport several security fixes for shell escape exploits in
    xdvi, luatex, general write18 implementation.

 -- Norbert Preining <norbert@preining.info>  Sat, 13 Mar 2021 09:31:55 +0900

texlive-bin (2020.20200327.54578-6) unstable; urgency=medium

  * Reduce B-D (Closes: #979607)
    Thanks to Helmut Grohne for finding the minimal set.
  * Bump standards version to 4.5.1, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 14:31:47 +0900

texlive-bin (2020.20200327.54578-5) unstable; urgency=medium

  * Replace "DEB_BUILD_OPTIONS=parallel=8" by "dh $@ ... --max-parallel=8".
  * Add patch dvi2tty_man.diff to fix errors in manual page of dvi2tty.
    (Closes: #958728)
  * Change Maintainer field to "Debian TeX Task Force".
  * Add manual page for mflua (using help2man).
  * Lintian:
    - I: capitalization-error-in-description-synopsis Tex TeX
    - W: national-encoding (two files)
    - P: silent-on-rules-requiring-root
    - W: mismatched-override embedded-library
    - W: groff-message usr/share/man/man1/detex.1.gz 76: warning:
      can't find special character '..'
    - W: wrong-manual-section usr/share/man/man1/axohelp.1.gz:1 1 != 1.1
    - I: typo-in-manual-page usr/share/man/man1/dvi2tty.1.gz
    - Override "W: no-manual-page"
      + in case the page is provided from a different package
      + page can only be found using apropos
    - Override
      "I: texlive-binaries: spare-manual-page usr/share/man/man1/cweb.1.gz"

 -- Hilmar Preusse <hille42@web.de>  Wed, 23 Sep 2020 23:38:34 +0200

texlive-bin (2020.20200327.54578-4) unstable; urgency=medium

  * Add Conflict w/ texlive-luatex (<< 2020.20200329).
    (Closes: #956884)
  * Avoid massive parallel builds on powerpc, ppc64, sparc64. Limit
    to -j8 (2nd try). This hopefully (Closes: #956605).

 -- Hilmar Preusse <hille42@web.de>  Sat, 18 Apr 2020 07:38:25 +0200

texlive-bin (2020.20200327.54578-3) unstable; urgency=medium

  * Add Conflict w/ texlive-extra-utils (<< 2020.20200329).
    (Closes: #956587)
  * Avoid massive parallel builds on powerpc, ppc64, sparc64. Limit
    to -j8. This hopefully Closes: #956605 .

 -- Hilmar Preusse <hille42@web.de>  Wed, 15 Apr 2020 21:38:34 +0200

texlive-bin (2020.20200327.54578-2) unstable; urgency=medium

  * TeX Live 2020

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Mar 2020 09:01:24 +0900

texlive-bin (2020.20200327.54578-1) experimental; urgency=medium

  [ Stephen Kitt ]
  * luaharfbuzz in TeX Live 2020 needs
    HB_BUFFER_FLAG_DO_NOT_INSERT_DOTTED_CIRCLE which was added in 2.4.

  [ Hilmar Preusse ]
  * Add me to Uploaders

  [ Norbert Preining ]
  * New upstream version 2020.20200327.54578 - sources of TeX Live 2020 DVD

 -- Norbert Preining <norbert@preining.info>  Fri, 27 Mar 2020 18:04:20 +0900

texlive-bin (2020.20200313.54259-2) experimental; urgency=medium

  [ Hilmar Preusse ]
  * Add --disable-luajithbtex for not $(LUAJIT_GOOD_ARCHS) (Closes: #953774)

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Mar 2020 06:30:35 +0900

texlive-bin (2020.20200313.54259-1) experimental; urgency=medium

  [ Norbert Preining ]
  * TL 2020 source build
  * Fix FTCBFS: Add texlive-binaries <cross> to Build-Depends to have
    a native tangle. (Closes: #940691) (Thanks to Helmut Grohne)
  * Change BD: libfreetype6-dev -> libfreetype-dev
  * Update patches

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Norbert Preining <norbert@preining.info>  Fri, 13 Mar 2020 11:03:33 +0900

texlive-bin (2019.20190605.51237-3) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Stop building dvisvgm package to solve FTBFS on HURD
    (Closes: #926701). It will be packaged separately (see #932968).
    Add the new package to Recommends.
  * Add patch to pdftex.man to document -synctex option (Closes: #772928).
  * Patch by Gero Treuner <gt_72_debian.org@innocircle.com> (mp.w_epoch.patch)
    MetaPost does not honour SOURCE_DATE_EPOCH (Closes: #890734).
  * Patch by John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
    (sparc64-fix-alignment.patch) to enable the alignment fixes for Linux on
    SPARC64 (Closes: #931873).

  [ Norbert Preining ]
  * Cherry pick session:
    - lacheck: separate patterns for handling \def and \newcommand
    - lacheck: version bump 1.29
    - ptex: strict '! Improper alphabetic or KANJI constant.'
    - eptex: version 190709 (add \ifincsname, revise \iffontchar and \fontchar)
    - eptex.ech: more compatible with original e-TeX
    - xdvi: don't use now-gone-from-ghostscript execute operator (from upstream)
      (Closes: #940191)
    - dvipdfmx: Fix a crash observed in add_ligature1_inverse_map()
    - dvipdfmx: Fix a bug that OTL coverage data were sometimes not
      read and were initialized to wrong values.
    - dvipdfmx: Fix evaluation of option "-m" (Closes: #926642)
    - dvipdfmx: workaround for problems in user defined resources
    - gsftopk: gs-9.28(rc1) requires -dNOSAFER
    - dvipdfmx: Take into account summertime. Always output color change code
    - dvipdfmx: show appropriate message if unsupported pfa is used
    - e-pTeX: e-pTeX 190908: \readline correctly handles Japanese characters
    - ptexenc.c: updates from H. Kitagawa

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Sep 2019 17:15:44 +0900

texlive-bin (2019.20190605.51237-2) unstable; urgency=medium

  * Cherry pick various fixes:
    - dvipdfmx: Fix for compiler warnings. (S. Hirata)
    - pmpost: Sync version number of upmpost with uptex
    - dvipdfmx: Fix a bug that end of buffer check was wrong. (S. Hirata)
    - dvisvgm: psdefs.cpp patch since GS_PDF_ProcSet was removed in
    - dvipdfmx: Fix a bug that fake-bold is not handled properly in some
      situations. (S. Hirata)
    - xetex: lib/texmfmp.c: fix for \filedump of XeTeX
    - xetex: lib/texmfmp.c: fix for \creationdate (XeTeX only)
  * Silence synctex warning when no synctex file is present (Closes: #908964)

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Jul 2019 09:59:23 +0900

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libtexluajit2`.
